# Cuddle - Configuration and Script Manager

Cuddle CLI is a Rust command-line interface application designed to manage
configuration variables and scripts across projects. It simplifies sharing of
code and workflows, making development and collaboration smoother and more
efficient. This project is published on crates.io as `cuddle`.

## Table of Contents

1. [Installation](#installation)
2. [Usage](#usage)
3. [Commands](#commands)
4. [Configuration](#configuration)
5. [Contributing](#contributing)
6. [License](#license)

## Installation

Make sure you have Rust and Cargo installed. You can install Rust and Cargo from
[https://rustup.rs/](https://rustup.rs/).

To install Cuddle CLI, run:

```sh
cargo install cuddle
```

## Usage

After successful installation, you can run the CLI using the `cuddle` command:

```sh
cuddle [command] [options]
```

## Commands

Detailed documentation of the commands and options can be found in our
[official documentation (tbd)](LINK_TO_DOCUMENTATION).

## Configuration

You can manage your configurations in a file called `cuddle.yaml`. For details
on how to format this file, check our
[Configuration Guide (tbd)](LINK_TO_CONFIGURATION_GUIDE).

## Contributing

Contributions are what make the open-source community such an amazing place to
learn, inspire, and create. Any contributions you make are **greatly
appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

Please read our [Contributing Guide](LINK_TO_CONTRIBUTING_GUIDE) for more
information.

## License

Distributed under the MIT License. See `LICENSE` for more information.

## Contact

You can reach out to us at our
[official contact page (tbd)](LINK_TO_CONTACT_PAGE). Please ensure to follow our
[Code of Conduct (tbd)](LINK_TO_CONDUCT_PAGE) when interacting with our
community.
