#!/bin/bash

set -e

tag="$REGISTRY/$SERVICE:${COMMIT_SHA:0:10}"
latest_tag="$REGISTRY/$SERVICE:latest"

echo "logging in"
docker login -u $DOCKER_USERNAME -p $DOCKER_PASSWORD

echo "building image"
DOCKER_BUILDKIT=1 docker build -t "$tag" -t "$latest_tag" -f "$TMP/build_cuddle_image.Dockerfile" .

echo "pushing image"
docker push "$tag"
docker push "$latest_tag"
